<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_level(4);
$set['title']='Общая информация';
include_once '../sys/inc/thead.php';
title();
err();
aut();

print "<a href='http://host-tracker.com/ru/' onMouseOver='this.href='http://host-tracker.com/ru/web-site-monitoring-stats/4621700/ff/';'><img 
width='80' height='15' border='0' alt='службы мониторинга серверов' 
src='http://ext.host-tracker.com/uptime-img/?s=15&amp;t=4621700&amp;m=0.59&amp;p=Total&amp;src=ff' /></a><noscript><a href='http://host-tracker.com/ru/' >службы мониторинга серверов</a></noscript>
             <br />  ";
echo "<span class=\"ank_n\">Версия PHP:</span> <span class=\"ank_d\">".phpversion()."</span><br />\n";



if (class_exists('ffmpeg_movie'))
{
echo "<span class=\"ank_n\">FFmpeg:</span> <span class=\"ank_d\">OK</span><br />\n";
}
else
{
echo "<span class=\"ank_n\">FFmpeg:</span> <span class=\"ank_d\">Нет</span><br />\n";
echo "(невозможно автоматическое сознание скриншотов к видеофайлам и показа дополнительной информации к видеофайлам)<br />\n";
}

if (function_exists('iconv'))
{
echo "<span class=\"ank_n\">Iconv:</span> <span class=\"ank_d\">OK</span><br />\n";
}
else
{
echo "<span class=\"ank_n\">Iconv:</span> <span class=\"ank_d\">Нет</span><br />\n";
echo "(Из за отсутствия библиотеки Iconv на сервере возможны проблемы с кодировкой)<br />\n";
}

if ($apache_mod=@apache_get_modules()){
if (array_search('mod_rewrite', $apache_mod)) {
echo "<span class=\"ank_n\">mod_rewrite:</span> <span class=\"ank_d\">OK</span><br />\n";
}
else
{
echo "<span class=\"ank_n\">mod_rewrite:</span> <span class=\"ank_d\">Нет</span><br />\n";
echo "Модуль mod_rewrite не загружен. Без него не будут работать большинство модулей движка<br />\n";
}
}



if (function_exists('imagecreatefromstring') && function_exists('gd_info'))
{
$gdinfo=gd_info();
echo "<span class=\"ank_n\">GD:</span> <span class=\"ank_d\">".$gdinfo['GD Version']." OK</span><br />\n";
}
else
{
echo "<span class=\"ank_n\">GD:</span> <span class=\"ank_d\">Нет</span><br />\n";
echo "(нет возможности создавать скриншоты к изображениям)<br />\n";
}

if (ini_get('register_globals')=='off' || ini_get('register_globals')=='0')
{
echo "<span class=\"ank_n\">register_globals off:</span> <span class=\"ank_d\">OK</span><br />\n";
}
else
{
echo "<span class=\"ank_n\">register_globals on:</span> <span class=\"ank_d\">!!!</span><br />\n";
echo "(Нарушение безопасности: включены глобальные переменные)<br />\n";
}

if (function_exists('mcrypt_cbc'))
{
echo "<span class=\"ank_n\">Шифрование COOKIE:</span> <span class=\"ank_d\">OK</span><br />\n";
}
else
{
echo "<span class=\"ank_n\">Шифрование COOKIE:</span> <span class=\"ank_d\">нет</span><br />\n";
echo "(библиотека mcrypt не установлена)<br />\n";
}
echo "<span class=\"ank_n\">Максимальный размер выгружаемых файлов:</span> <span class=\"ank_d\">".size_file($upload_max_filesize)."</span><br />\n";





include_once H.'sys/inc/chmod_test.php';




echo "<div class='foot'>\n";
echo "&laquo;<a href='/adm_panel/'>В админку</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
?>